import MHeader from '@/components/m-header';
import MSticky from '@/components/m-sticky';
import { defineComponent, onMounted, reactive } from 'vue';
import styles from './index.module.less';
import { useRoute, useRouter } from 'vue-router';
import { Image } from 'vant';
import request from '@/helpers/request';
import { useEventListener, useWindowScroll } from '@vueuse/core';

export default defineComponent({
  name: 'wroing-book',
  setup() {
    const router = useRouter();
    const route = useRoute();

    const forms = reactive({
      detailId: route.query.detailId,
      background: 'transparent',
      color: '#fff'
    });

    const getList = async () => {
      try {
        const { data } = await request.post(
          '/edu-app/lessonCourseware/queryStudentLessonDetail',
          {
            requestType: 'form',
            data: {
              lessonCoursewareId: forms.detailId
            }
          }
        );
      } catch {
        //
      }
    };

    onMounted(() => {
      useEventListener(document, 'scroll', () => {
        const { y } = useWindowScroll();
        if (y.value > 52) {
          forms.background = '#fff';
          forms.color = '#323333';
        } else {
          forms.background = 'transparent';
          forms.color = '#fff';
        }
      });
      getList();
    });
    return () => (
      <div class={styles.knowledgeLibrary}>
        <MSticky position="top">
          <MHeader
            border={false}
            background={forms.background}
            color={forms.color}>
            {{
              right: () => (
                <div
                  class={styles.wroingBtn}
                  onClick={() => router.push('/wroing-book')}>
                  <i class={styles.iconWroing}></i>错题本
                </div>
              )
            }}
          </MHeader>
        </MSticky>

        <div class={[styles.containerSection, styles.woringSection]}>
          <div class={styles.woringContent}>
            <Image
              class={styles.unitImg}
              lazyLoad
              src={
                'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/a0c89db386a44702acf8ae61fe74c201_mergeImage.png'
              }
            />
            这里是内容
          </div>
        </div>
      </div>
    );
  }
});
